## btrfs-progs 6.6.3-1.1build2trisquel1

=== debian/changelog ===
btrfs-progs (6.6.3-1.1build2trisquel1) ecne; urgency=medium

  * Fetch and build as udeb dependency for debian-installer.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 09 Oct 2024 16:33:38 +0000

btrfs-progs (6.6.3-1.1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:43:21 +0000

btrfs-progs (6.6.3-1.1build1) noble; urgency=medium

  * No-change rebuild against libext2fs2t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 14 Mar 2024 15:49:19 +0000

btrfs-progs (6.6.3-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062030

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 05:21:59 +0000

btrfs-progs (6.6.3-1) unstable; urgency=medium

  * New upstream release (closes: #1055372).
  * Add B-Dep on python3-sphinx-rtd-theme, required for building docs.
  * Fix failure to build twice in a row (closes: #1044007).
  * Query udevdir via pkg-config, fixing FTBFS (closes: #1057231).
  * Build with support for converting from reiserfs (closes: #1030950).
  * Temporarily move the VCS to sr.ht
  * Slightly improve description.
  * Standardize debian/rules somewhat.

 -- Adam Borowski <kilobyte@angband.pl>  Fri, 29 Dec 2023 19:03:32 +0100

=== debian/control ===
Source: btrfs-progs
Section: admin
Priority: optional
Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
XSBC-Original-Maintainer: Adam Borowski <kilobyte@angband.pl>
Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
               libext2fs-dev,
               pkg-config,
               libacl1-dev,
               libblkid-dev,
               liblzo2-dev,
               libreiserfscore-dev,
               libudev-dev,
               libzstd-dev,
               uuid-dev,
               udev,
               zlib1g-dev,
               sphinx,
               python3-sphinx-rtd-theme,
               xmlto,
               bash-completion,
	       python3-dev,
	       python3-setuptools,
	       dh-python,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: http://btrfs.wiki.kernel.org/
Vcs-Browser: https://git.sr.ht/~kilobyte/btrfs-progs
Vcs-Git: https://git.sr.ht/~kilobyte/btrfs-progs -b debian

Package: btrfs-progs
Architecture: linux-any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: duperemove
Description: Checksumming Copy on Write Filesystem utilities
 Btrfs is a copy on write filesystem for Linux aimed at implementing
 advanced features while focusing on fault tolerance, repair and easy
 administration.
 .
 This package contains utilities (mkfs, fsck) used to work with btrfs
 and an utility (btrfs-convert) to make a btrfs filesystem from an ext3.

Package: libbtrfs0t64
Provides: ${t64:Provides}
Replaces: libbtrfs0
Breaks: libbtrfs0 (<< ${source:Version})
Architecture: linux-any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Checksumming Copy on Write Filesystem utilities (runtime library)
 Btrfs is a copy on write filesystem for Linux aimed at implementing
 advanced features while focusing on fault tolerance, repair and easy
 administration.
 .
 This package contains userspace shared code library libbtrfs.

Package: libbtrfs-dev
Architecture: linux-any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends}, ${shlibs:Depends}, libbtrfs0t64 (= ${binary:Version})
Description: Checksumming Copy on Write Filesystem utilities (development headers)
 Btrfs is a copy on write filesystem for Linux aimed at implementing
 advanced features while focusing on fault tolerance, repair and easy
 administration.
 .
 This package contains development headers for the libbtrfs library.

Package: libbtrfsutil1t64
Provides: ${t64:Provides}
Replaces: libbtrfsutil1
Breaks: libbtrfsutil1 (<< ${source:Version})
Architecture: linux-any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Checksumming Copy on Write Filesystem utilities (runtime util library)
 Btrfs is a copy on write filesystem for Linux aimed at implementing
 advanced features while focusing on fault tolerance, repair and easy
 administration.
 .
 This package contains userspace shared code library libbtrfsutil.

Package: libbtrfsutil-dev
Architecture: linux-any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends}, ${shlibs:Depends}, libbtrfsutil1t64 (= ${binary:Version})
Description: Checksumming Copy on Write Filesystem utilities (util development headers)
 Btrfs is a copy on write filesystem for Linux aimed at implementing
 advanced features while focusing on fault tolerance, repair and easy
 administration.
 .
 This package contains development headers for the libbtrfsutil library.

Package: python3-btrfsutil
Architecture: linux-any
Multi-Arch: same
Section: python
Depends: ${misc:Depends}, ${shlibs:Depends}, ${python3:Depends}
Description: Checksumming Copy on Write Filesystem utilities (python3 bindings)
 Btrfs is a copy on write filesystem for Linux aimed at implementing
 advanced features while focusing on fault tolerance, repair and easy
 administration.
 .
 This package contains python3 bindings.

Package: btrfs-progs-udeb
Package-Type: udeb
Section: debian-installer
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Checksumming Copy on Write Filesystem utilities (udeb)

## btrfs-progs 6.12

=== debian/changelog ===
btrfs-progs (6.12-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Nicholas D Steeves <sten@debian.org>  Fri, 03 Jan 2025 16:56:44 -0500

btrfs-progs (6.12-1) unstable; urgency=medium

  * Salvage package (Closes: #1088329).
  * New upstream release (Closes: #1074237, #1060380).
  * Migrate from obsolete pkg-config to pkgconf.
  * Update symbols.
  * Add myself to d/copyright.
  * Add missing copyright and BSD-2-clause license for xxHash (this is a
    technical RC issue for license-compliance in the binary packages).
  * Move VCS back to Salsa (Debian group, which was historically
    collab-maint).
  * Drop the libext2fs hack (unneeded with this upstream version).
  * Revert "Bump dependency on libext2fs-dev"; it's unneeded and unnecessarily
    complicates backporting.
  * Drop "single-debian-patch" source option, because it makes the Archive and
    source package view unnecessarily opaque.
  * Restore d/copyright record of the IETF Trust's assets; they're licensed as
    TLP-4.
  * Document STRATO AG's copyright.
  * Do complete copyright review because our d/copyright failed to document
    more than 10 upstream-documented contributors as well a number of missing
    licenses.
  * Ignore lintian's "E: btrfs-progs-udeb udeb: aliased-location" as a matter
    of team solidarity
    https://lists.debian.org/debian-boot/2024/12/msg00121.html
  * Declare Standards-Version 4.7.0 (no changes required).

 -- Nicholas D Steeves <sten@debian.org>  Fri, 20 Dec 2024 16:03:14 -0500

btrfs-progs (6.6.3-1.2~bpo12+1) bookworm-backports; urgency=medium

  * Backport btrfs-progs to bookworm-backports:
    - Revert "Rename libraries for 64-bit time_t transition"
    - Revert "Switch Build-Depends from udev to systemd-dev"
    - Revert "Install files into UsrMerged layout (DEP17 M2)"
    - Revert "Change inode_includes to ext2fs_inode_includes"
    - Revert "Bump dependency on libext2fs-dev".

 -- Nicholas D Steeves <sten@debian.org>  Mon, 15 Jul 2024 22:29:01 -0400

btrfs-progs (6.6.3-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Switch Build-Depends from udev to systemd-dev (Closes: #1065385)
  * Install files into UsrMerged layout (DEP17 M2) (Closes: #1073073)

  [ Peter Michael Green ]
  * Change inode_includes to ext2fs_inode_includes (Closes: #1071297)
  * Bump dependency on libext2fs-dev.

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 12 Jun 2024 21:22:17 +0200

## btrfs-progs 6.14

=== debian/changelog ===
btrfs-progs (6.14-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Nicholas D Steeves <sten@debian.org>  Mon, 12 May 2025 17:11:24 -0400

btrfs-progs (6.14-1) unstable; urgency=medium

  * New upstream release.

 -- Nicholas D Steeves <sten@debian.org>  Thu, 17 Apr 2025 17:19:49 -0400

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: btrfs-progs
 Section: admin
 Priority: optional
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
-XSBC-Original-Maintainer: Adam Borowski <kilobyte@angband.pl>
-Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
+Maintainer: Nicholas D Steeves <sten@debian.org>
+Build-Depends: debhelper-compat (= 13),
                libext2fs-dev,
                pkg-config,
                libacl1-dev,
@@ -22,11 +21,11 @@
 	       python3-dev,
 	       python3-setuptools,
 	       dh-python,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: http://btrfs.wiki.kernel.org/
-Vcs-Browser: https://git.sr.ht/~kilobyte/btrfs-progs
-Vcs-Git: https://git.sr.ht/~kilobyte/btrfs-progs -b debian
+Vcs-Browser: https://salsa.debian.org/debian/btrfs-progs
+Vcs-Git: https://salsa.debian.org/debian/btrfs-progs.git
 
 Package: btrfs-progs
 Architecture: linux-any
@@ -41,10 +40,7 @@
  This package contains utilities (mkfs, fsck) used to work with btrfs
  and an utility (btrfs-convert) to make a btrfs filesystem from an ext3.
 
-Package: libbtrfs0t64
-Provides: ${t64:Provides}
-Replaces: libbtrfs0
-Breaks: libbtrfs0 (<< ${source:Version})
+Package: libbtrfs0
 Architecture: linux-any
 Multi-Arch: same
 Section: libs
@@ -60,7 +56,7 @@
 Architecture: linux-any
 Multi-Arch: same
 Section: libdevel
-Depends: ${misc:Depends}, ${shlibs:Depends}, libbtrfs0t64 (= ${binary:Version})
+Depends: ${misc:Depends}, ${shlibs:Depends}, libbtrfs0 (= ${binary:Version})
 Description: Checksumming Copy on Write Filesystem utilities (development headers)
  Btrfs is a copy on write filesystem for Linux aimed at implementing
  advanced features while focusing on fault tolerance, repair and easy
@@ -68,10 +64,7 @@
  .
  This package contains development headers for the libbtrfs library.
 
-Package: libbtrfsutil1t64
-Provides: ${t64:Provides}
-Replaces: libbtrfsutil1
-Breaks: libbtrfsutil1 (<< ${source:Version})
+Package: libbtrfsutil1
 Architecture: linux-any
 Multi-Arch: same
 Section: libs
@@ -87,7 +80,7 @@
 Architecture: linux-any
 Multi-Arch: same
 Section: libdevel
-Depends: ${misc:Depends}, ${shlibs:Depends}, libbtrfsutil1t64 (= ${binary:Version})
+Depends: ${misc:Depends}, ${shlibs:Depends}, libbtrfsutil1 (= ${binary:Version})
 Description: Checksumming Copy on Write Filesystem utilities (util development headers)
  Btrfs is a copy on write filesystem for Linux aimed at implementing
  advanced features while focusing on fault tolerance, repair and easy

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/default.mk

SHELL := sh -e

CFLAGS := $(patsubst -O2,-Os,$(CFLAGS) $(CPPFLAGS))

%:
	dh ${@} --with bash-completion,python3

override_dh_autoreconf:
	dh_autoreconf ./autogen.sh

override_dh_auto_configure:
	dh_auto_configure -- --bindir=/bin

override_dh_auto_build:
	dh_auto_build -- V=1

override_dh_auto_install:
	dh_auto_install -- install
	cd libbtrfsutil/python; \
		python3 setup.py install --install-layout=deb --skip-build --root ../../debian/tmp --prefix /usr
	mkdir -p debian/tmp/sbin
	mv debian/tmp/bin/fsck.btrfs debian/tmp/sbin/fsck.btrfs
	mv debian/tmp/bin/mkfs.btrfs debian/tmp/sbin/mkfs.btrfs

	# Adding initramfs-tools integration
	install -D -m 0755 debian/local/btrfs.hook debian/btrfs-progs/usr/share/initramfs-tools/hooks/btrfs
	install -D -m 0755 debian/local/btrfs.local-premount debian/btrfs-progs/usr/share/initramfs-tools/scripts/local-premount/btrfs

# Needs autopkgtest
override_dh_auto_test:

override_dh_install:
	UDEVDIR=`pkg-config udev --variable=udevdir` && dh_install -p btrfs-progs --autodest $${UDEVDIR#/}
	dh_install
	dh_missing --list-missing

override_dh_auto_clean:
	if test -f Makefile.inc; then \
		dh_auto_clean; \
	fi

## btrfs-progs 6.15

=== debian/changelog ===
btrfs-progs (6.15-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Nicholas D Steeves <sten@debian.org>  Mon, 23 Jun 2025 22:11:29 -0400

## btrfs-progs 6.16

=== debian/changelog ===
btrfs-progs (6.16-2) unstable; urgency=medium

  * Drop support for converting from reiserfs, because reiserfs was dropped from
    Linux during the 6.13 release cycle
    (http://kernel.org/pub/linux/kernel/v6.x/ChangeLog-6.13). Debian 13
    "trixie" included support for converting reiserfs filesystems to btrfs and
    may be used by anyone who wishes to experiment with in-place conversion
    (Closes: #1060069).  Backup and restore or replication continues to be
    recommended over in-place conversion.

 -- Nicholas D Steeves <sten@debian.org>  Sun, 07 Sep 2025 16:03:07 -0400

btrfs-progs (6.16-1) unstable; urgency=medium

  * New upstream release.
  * Fix indentation of Build-Depends.
  * Upload to unstable.

 -- Nicholas D Steeves <sten@debian.org>  Wed, 13 Aug 2025 15:05:57 -0400

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 	dh_autoreconf ./autogen.sh
 
 override_dh_auto_configure:
-	dh_auto_configure -- --bindir=/bin
+	dh_auto_configure
 
 override_dh_auto_build:
 	dh_auto_build -- V=1
@@ -23,9 +23,9 @@
 	dh_auto_install -- install
 	cd libbtrfsutil/python; \
 		python3 setup.py install --install-layout=deb --skip-build --root ../../debian/tmp --prefix /usr
-	mkdir -p debian/tmp/sbin
-	mv debian/tmp/bin/fsck.btrfs debian/tmp/sbin/fsck.btrfs
-	mv debian/tmp/bin/mkfs.btrfs debian/tmp/sbin/mkfs.btrfs
+	mkdir -p debian/tmp/usr/sbin
+	mv debian/tmp/usr/bin/fsck.btrfs debian/tmp/usr/sbin/fsck.btrfs
+	mv debian/tmp/usr/bin/mkfs.btrfs debian/tmp/usr/sbin/mkfs.btrfs
 
 	# Adding initramfs-tools integration
 	install -D -m 0755 debian/local/btrfs.hook debian/btrfs-progs/usr/share/initramfs-tools/hooks/btrfs

## btrfs-progs 6.17

=== Makefile ===
#
# Basic build targets:
#   all		all main tools and the shared library
#   static      build static binaries, requires static version of the libraries
#   test        run the full testsuite
#   install     install binaries, shared libraries and header files to default
#               location (/usr/local)
#   install-static
#               install the static binaries, static libraries and header files
#               to default locationh (/usr/local)
#   clean       clean built binaries (not the documentation)
#   clean-all   clean as above, clean docs and generated files
#   clean-dep   clean header dependency files (*.o.d)
#
# All-in-one binary (busybox style):
#   btrfs.box         single binary with functionality of mkfs.btrfs, btrfs-image,
#                     btrfs-convert and btrfstune, selected by the file name
#   btrfs.box.static  dtto, static version
#
# Tuning by variables (environment or make arguments):
#   V=1            verbose, print command lines (default: quiet)
#   C=1            run checker before compilation (default checker: sparse)
#   D=1            debugging build, turn off optimizations
#   D=dflags       dtto, turn on additional debugging features:
#                  verbose - print file:line along with error/warning messages
#                  trace   - print trace before the error/warning messages
#                  abort   - call abort() on first error (dumps core)
#                  all     - shortcut for all of the above
#                  asan    - enable address sanitizer compiler feature
#                  tsan    - enable thread sanitizer compiler feature
#                  ubsan   - undefined behaviour sanitizer compiler feature
#                  bcheck  - extended build checks
#                  gcov    - enable GCOV support during build
#   W=123          build with warnings (default: off)
#   DEBUG_CFLAGS   additional compiler flags for debugging build
#   EXTRA_CFLAGS   additional compiler flags
#   EXTRA_LDFLAGS  additional linker flags
#   EXTRA_PYTHON_CFLAGS   additional compiler flags to pass when building Python
#                         library
#   EXTRA_PYTHON_LDFLAGS  additional linker flags to pass when building Python
#                         library
#
# Testing-specific options (see also tests/README.md):
#   TEST=GLOB      run test(s) from directories matching GLOB
#   TEST_LOG=tty   print name of a command run via the execution helpers
#   TEST_LOG=dump  dump testing log file when a test fails
#
# Static checkers:
#   CHECKER        static checker binary to be called (default: sparse)
#   CHECKER_FLAGS  flags to pass to CHECKER, can override CFLAGS
#
# Other:
#   DEP=1          verbose generation of dependency files (.o.d)

# Export all variables to sub-makes by default
export

-include Makefile.inc
ifneq ($(MAKEFILE_INC_INCLUDED),yes)
$(error Makefile.inc not generated, please configure first)
endif

TAGS_CMD := ctags
ETAGS_CMD := etags
CSCOPE_CMD := cscope -u -b -c -q

# Print dependency creation
DEP :=
DEPMSG = @if [ "$(DEP)" = 1 ]; then echo "  DEP     $(DEPNAME)"; fi

# Reduce any .o file to the base name, taking box and static targets into account
# and produce unified file name for dependencies
DEPNAME = $(patsubst %.o, %.o.d,		\
	  $(patsubst %.box.o, %.o,		\
	  $(patsubst %.static.o, %.o, $@)))

# Generate make rule dependencies for all target types
DEPCOMMAND = $(CC) -MM -MG -MF $(dir $@).deps/$(notdir $(DEPNAME)) -MT $*.o -MT $*.static.o -MT $*.box.o -MT $*.box.static.o $(CFLAGS) $<

# Dependencies are relative to source file directory in .deps/
DEPMKDIR = mkdir -p $(dir $@).deps/

include Makefile.extrawarn

EXTRA_CFLAGS :=
EXTRA_LDFLAGS :=

DEBUG_CFLAGS_DEFAULT = -O0 -U_FORTIFY_SOURCE -ggdb3 -DINJECT
DEBUG_CFLAGS_INTERNAL =
DEBUG_CFLAGS :=

DEBUG_LDFLAGS_DEFAULT =
DEBUG_LDFLAGS_INTERNAL =
DEBUG_LDFLAGS :=

ABSTOPDIR = $(shell pwd)
TOPDIR := .

# Disable certain GCC 8 + glibc 2.28 warning for snprintf()
# where string truncation for snprintf() is expected.
# For GCC9 disable address-of-packed (under W=1)
DISABLE_WARNING_FLAGS := $(call cc-disable-warning, format-truncation) \
	$(call cc-disable-warning, address-of-packed-member)

# Warnings that we want by default
ENABLE_WARNING_FLAGS := $(call cc-option, -Wimplicit-fallthrough) \
			$(call cc-option, -Wmissing-prototypes) \
			-Wshadow

ASFLAGS =

# Common build flags
CFLAGS = $(SUBST_CFLAGS) \
	 -std=gnu11 \
	 -include include/config.h \
	 -DBTRFS_FLAT_INCLUDES \
	 -D_XOPEN_SOURCE=700  \
	 -fno-strict-aliasing \
	 -fPIC \
	 -Wall \
	 -Wunused-but-set-parameter \
	 -I$(TOPDIR) \
	 -I$(TOPDIR)/include \
	 $(CRYPTO_CFLAGS) \
	 -DCOMPRESSION_LZO=$(COMPRESSION_LZO) \
	 -DCOMPRESSION_ZSTD=$(COMPRESSION_ZSTD) \
	 $(DISABLE_WARNING_FLAGS) \
	 $(ENABLE_WARNING_FLAGS) \
	 $(EXTRAWARN_CFLAGS) \
	 $(DEBUG_CFLAGS_INTERNAL) \
	 $(EXTRA_CFLAGS)

LIBBTRFSUTIL_CFLAGS = $(SUBST_CFLAGS) \
		      -std=gnu11 \
		      -D_GNU_SOURCE \
		      -fPIC \
		      -fvisibility=hidden \
		      -I$(TOPDIR)/libbtrfsutil \
		      $(EXTRAWARN_CFLAGS) \
		      $(DEBUG_CFLAGS_INTERNAL) \
		      $(EXTRA_CFLAGS)

LDFLAGS = $(SUBST_LDFLAGS) \
	  -rdynamic -L$(TOPDIR) \
	  $(DEBUG_LDFLAGS_INTERNAL) \
	  $(EXTRA_LDFLAGS)

LIBBTRFSUTIL_LDFLAGS = $(SUBST_LDFLAGS) \
		       -rdynamic -L$(TOPDIR) \
		       $(DEBUG_LDFLAGS_INTERNAL) \
		       $(EXTRA_LDFLAGS)

# Default implementation
CRYPTO_OBJECTS =

ifeq ($(HAVE_CFLAG_msse2),1)
crypto_blake2b_sse2_cflags = -msse2
endif
ifeq ($(HAVE_CFLAG_msse41),1)
crypto_blake2b_sse41_cflags = -msse4.1
endif
ifeq ($(HAVE_CFLAG_mavx2),1)
crypto_blake2b_avx2_cflags = -mavx2
endif
ifeq ($(HAVE_CFLAG_msha),1)
crypto_sha256_x86_cflags = -msse4.1 -msha
endif

LIBS = $(LIBS_BASE) $(LIBS_CRYPTO)
LIBBTRFS_LIBS = $(LIBS_BASE) $(LIBS_CRYPTO)

# Static compilation flags
STATIC_CFLAGS = $(CFLAGS) -ffunction-sections -fdata-sections -DSTATIC_BUILD
STATIC_LDFLAGS = $(SUBST_LDFLAGS) $(EXTRA_LDFLAGS) -static -Wl,--gc-sections
STATIC_LIBS = $(STATIC_LIBS_BASE)

# don't use FORTIFY with sparse because glibc with FORTIFY can
# generate so many sparse errors that sparse stops parsing,
# which masks real errors that we want to see.
# Note: additional flags might get added per-target later
CHECKER := sparse
check_defs := .cc-defines.h
CHECKER_FLAGS := -include $(check_defs) -D__CHECKER__ \
	-D__CHECK_ENDIAN__ -Wbitwise -Wuninitialized -Wshadow -Wundef \
	-U_FORTIFY_SOURCE -Wdeclaration-after-statement -Wdefault-bitfield-sign

objects = \
	kernel-lib/list_sort.o	\
	kernel-lib/raid56.o	\
	kernel-lib/rbtree.o	\
	kernel-lib/tables.o	\
	kernel-shared/accessors.o	\
	kernel-shared/async-thread.o	\
	kernel-shared/backref.o \
	kernel-shared/ctree.o	\
	kernel-shared/delayed-ref.o	\
	kernel-shared/dir-item.o	\
	kernel-shared/disk-io.o	\
	kernel-shared/extent-io-tree.o	\
	kernel-shared/extent-tree.o	\
	kernel-shared/extent_io.o	\
	kernel-shared/file-item.o	\
	kernel-shared/file.o	\
	kernel-shared/free-space-cache.o	\
	kernel-shared/free-space-tree.o	\
	kernel-shared/inode-item.o	\
	kernel-shared/inode.o	\
	kernel-shared/locking.o	\
	kernel-shared/messages.o	\
	kernel-shared/print-tree.o	\
	kernel-shared/root-tree.o	\
	kernel-shared/transaction.o	\
	kernel-shared/tree-checker.o	\
	kernel-shared/ulist.o	\
	kernel-shared/uuid-tree.o	\
	kernel-shared/volumes.o	\
	kernel-shared/zoned.o	\
	common/array.o		\
	common/compat.o		\
	common/cpu-utils.o	\
	common/device-scan.o	\
	common/device-utils.o	\
	common/extent-cache.o	\
	common/extent-tree-utils.o	\
	common/root-tree-utils.o	\
	common/filesystem-utils.o	\
	common/format-output.o	\
	common/fsfeatures.o	\
	common/help.o	\
	common/inject-error.o	\
	common/messages.o	\
	common/open-utils.o	\
	common/parse-utils.o	\
	common/path-utils.o	\
	common/rbtree-utils.o	\
	common/send-stream.o	\
	common/send-utils.o	\
	common/sort-utils.o	\
	common/string-table.o	\
	common/string-utils.o	\
	common/sysfs-utils.o	\
	common/task-utils.o \
	common/units.o	\
	common/utils.o	\
	check/qgroup-verify.o	\
	check/repair.o	\
	cmds/receive-dump.o	\
	crypto/crc32c.o	\
	crypto/hash.o	\
	crypto/xxhash.o	\
	$(CRYPTO_OBJECTS)	\
	libbtrfsutil/stubs.o	\
	libbtrfsutil/subvolume.o

cmds_objects = cmds/subvolume.o cmds/subvolume-list.o \
	       cmds/filesystem.o cmds/device.o cmds/scrub.o \
	       cmds/inspect.o cmds/balance.o cmds/send.o cmds/receive.o \
	       cmds/quota.o cmds/qgroup.o cmds/replace.o check/main.o \
	       cmds/restore.o cmds/rescue.o cmds/rescue-chunk-recover.o \
	       cmds/rescue-super-recover.o cmds/rescue-fix-data-checksum.o \
	       cmds/property.o cmds/filesystem-usage.o cmds/inspect-dump-tree.o \
	       cmds/inspect-dump-super.o cmds/inspect-tree-stats.o cmds/filesystem-du.o \
	       cmds/reflink.o \
	       mkfs/common.o check/mode-common.o check/mode-lowmem.o \
	       common/clear-cache.o

libbtrfs_objects = \
		kernel-lib/rbtree.o	\
		libbtrfs/send-stream.o	\
		libbtrfs/send-utils.o	\
		libbtrfs/crc32c.o

libbtrfs_headers = libbtrfs/send-stream.h libbtrfs/send-utils.h libbtrfs/send.h \
	       kernel-lib/rbtree_types.h libbtrfs/kerncompat.h \
	       libbtrfs/ioctl.h libbtrfs/ctree.h libbtrfs/version.h
libbtrfs_version = $(LIBBTRFS_MAJOR).$(LIBBTRFS_MINOR).$(LIBBTRFS_PATCHLEVEL)

libbtrfsutil_major := $(shell sed -rn 's/^\#define BTRFS_UTIL_VERSION_MAJOR ([0-9])+$$/\1/p' libbtrfsutil/btrfsutil.h)
libbtrfsutil_minor := $(shell sed -rn 's/^\#define BTRFS_UTIL_VERSION_MINOR ([0-9])+$$/\1/p' libbtrfsutil/btrfsutil.h)
libbtrfsutil_patch := $(shell sed -rn 's/^\#define BTRFS_UTIL_VERSION_PATCH ([0-9])+$$/\1/p' libbtrfsutil/btrfsutil.h)
libbtrfsutil_version := $(libbtrfsutil_major).$(libbtrfsutil_minor).$(libbtrfsutil_patch)
libbtrfsutil_objects = libbtrfsutil/errors.o libbtrfsutil/filesystem.o \
		       libbtrfsutil/subvolume.o libbtrfsutil/qgroup.o \
		       libbtrfsutil/stubs.o
convert_objects = convert/main.o convert/common.o convert/source-fs.o \
		  convert/source-ext2.o convert/source-reiserfs.o \
		  mkfs/common.o common/clear-cache.o
mkfs_objects = mkfs/main.o mkfs/common.o mkfs/rootdir.o
image_objects = image/main.o image/sanitize.o image/image-create.o image/common.o \
		image/image-restore.o
tune_objects = tune/main.o tune/seeding.o tune/change-uuid.o tune/change-metadata-uuid.o \
	       tune/convert-bgt.o tune/change-csum.o common/clear-cache.o tune/quota.o
all_objects = $(objects) $(cmds_objects) $(libbtrfs_objects) $(convert_objects) \
	      $(mkfs_objects) $(image_objects) $(tune_objects) $(libbtrfsutil_objects)

tags_files = $(addsuffix /*.[ch], . check cmds common convert crypto image include mkfs tune \
	       kernel-lib kernel-shared kernel-shared/uapi \
	       libbtrfs libbtrfsutil libbtrfsutil/python tests)

udev_rules = 64-btrfs-dm.rules 64-btrfs-zoned.rules

ifeq ("$(origin V)", "command line")
  BUILD_VERBOSE = $(V)
endif
ifndef BUILD_VERBOSE
  BUILD_VERBOSE = 0
endif

ifeq ($(BUILD_VERBOSE),1)
  Q =
  SETUP_PY_Q =
else
  Q = @
  SETUP_PY_Q = -q
endif

ifeq ("$(origin D)", "command line")
  DEBUG_CFLAGS_INTERNAL = $(DEBUG_CFLAGS_DEFAULT) $(DEBUG_CFLAGS)
  DEBUG_LDFLAGS_INTERNAL = $(DEBUG_LDFLAGS_DEFAULT) $(DEBUG_LDFLAGS)
endif

ifneq (,$(findstring gcov,$(D)))
  DEBUG_CFLAGS_INTERNAL += -fprofile-arcs -fprofile-update=atomic -ftest-coverage --coverage
  DEBUG_LDFLAGS_INTERNAL += -fprofile-generate -fprofile-update=atomic --coverage
endif

ifneq (,$(findstring verbose,$(D)))
  DEBUG_CFLAGS_INTERNAL += -DDEBUG_VERBOSE_ERROR=1
endif

ifneq (,$(findstring trace,$(D)))
  DEBUG_CFLAGS_INTERNAL += -DDEBUG_TRACE_ON_ERROR=1
endif

ifneq (,$(findstring abort,$(D)))
  DEBUG_CFLAGS_INTERNAL += -DDEBUG_ABORT_ON_ERROR=1
endif

ifneq (,$(findstring all,$(D)))
  DEBUG_CFLAGS_INTERNAL += -DDEBUG_VERBOSE_ERROR=1
  DEBUG_CFLAGS_INTERNAL += -DDEBUG_TRACE_ON_ERROR=1
  DEBUG_CFLAGS_INTERNAL += -DDEBUG_ABORT_ON_ERROR=1
endif

ifneq (,$(findstring asan,$(D)))
  DEBUG_CFLAGS_INTERNAL += -fsanitize=address
  DEBUG_LDFLAGS_INTERNAL += -fsanitize=address -lasan
endif

ifneq (,$(findstring tsan,$(D)))

=== convert/Makefile ===
include ../Makefile.inc

all:
	$(MAKE) -C .. btrfs-convert

clean:
	-$(RM) -f -- *.o *.o.d

=== image/Makefile ===
include ../Makefile.inc

all:
	$(MAKE) -C .. btrfs-image

clean:
	-$(RM) -f -- *.o *.o.d

=== debian/changelog ===
btrfs-progs (6.17-1) unstable; urgency=medium

  * New upstream release.
  * Create gbp.conf to manually set compression type and level to xz:9.

 -- Nicholas D Steeves <sten@debian.org>  Thu, 09 Oct 2025 13:38:07 -0400

=== debian/control ===
--- 
+++ 
@@ -2,25 +2,24 @@
 Section: admin
 Priority: optional
 Maintainer: Nicholas D Steeves <sten@debian.org>
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
                libext2fs-dev,
-               pkg-config,
+               pkgconf,
                libacl1-dev,
                libblkid-dev,
                liblzo2-dev,
-               libreiserfscore-dev,
                libudev-dev,
                libzstd-dev,
                uuid-dev,
-               udev,
+               systemd-dev,
                zlib1g-dev,
                sphinx,
                python3-sphinx-rtd-theme,
                xmlto,
                bash-completion,
-	       python3-dev,
-	       python3-setuptools,
-	       dh-python,
+               python3-dev,
+               python3-setuptools,
+               dh-python,
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: http://btrfs.wiki.kernel.org/
@@ -40,7 +39,10 @@
  This package contains utilities (mkfs, fsck) used to work with btrfs
  and an utility (btrfs-convert) to make a btrfs filesystem from an ext3.
 
-Package: libbtrfs0
+Package: libbtrfs0t64
+Provides: ${t64:Provides}
+Replaces: libbtrfs0
+Breaks: libbtrfs0 (<< ${source:Version})
 Architecture: linux-any
 Multi-Arch: same
 Section: libs
@@ -56,7 +58,7 @@
 Architecture: linux-any
 Multi-Arch: same
 Section: libdevel
-Depends: ${misc:Depends}, ${shlibs:Depends}, libbtrfs0 (= ${binary:Version})
+Depends: ${misc:Depends}, ${shlibs:Depends}, libbtrfs0t64 (= ${binary:Version})
 Description: Checksumming Copy on Write Filesystem utilities (development headers)
  Btrfs is a copy on write filesystem for Linux aimed at implementing
  advanced features while focusing on fault tolerance, repair and easy
@@ -64,7 +66,10 @@
  .
  This package contains development headers for the libbtrfs library.
 
-Package: libbtrfsutil1
+Package: libbtrfsutil1t64
+Provides: ${t64:Provides}
+Replaces: libbtrfsutil1
+Breaks: libbtrfsutil1 (<< ${source:Version})
 Architecture: linux-any
 Multi-Arch: same
 Section: libs
@@ -80,7 +85,7 @@
 Architecture: linux-any
 Multi-Arch: same
 Section: libdevel
-Depends: ${misc:Depends}, ${shlibs:Depends}, libbtrfsutil1 (= ${binary:Version})
+Depends: ${misc:Depends}, ${shlibs:Depends}, libbtrfsutil1t64 (= ${binary:Version})
 Description: Checksumming Copy on Write Filesystem utilities (util development headers)
  Btrfs is a copy on write filesystem for Linux aimed at implementing
  advanced features while focusing on fault tolerance, repair and easy

=== debian/watch ===
version=4
opts="uversionmangle=s/(\d)[_\.\-\+]?(rc\d*)$/$1~$2/,pgpsigurlmangle=s/\.tar.*$/\.tar.sign/,decompress" \
https://www.kernel.org/pub/linux/kernel/people/kdave/btrfs-progs/btrfs-progs-v(.+)\.tar\.xz

## btrfs-progs 6.17.1

=== debian/changelog ===
btrfs-progs (6.17.1-1~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Nicholas D Steeves <sten@debian.org>  Sun, 28 Dec 2025 15:02:52 -0500

btrfs-progs (6.17.1-1) unstable; urgency=medium

  * New upstream release.
  * Make btrfs-progs-udeb usrmerge compliant.
  * Additionally move mkfs.btrfs to /usr/sbin, where it should have been
    installed for consistency with the main bin:btrfs-progs, and also with
    every other mkfs.variant on Debian, and with the FHS--even though this
    is just a udeb.

 -- Nicholas D Steeves <sten@debian.org>  Fri, 07 Nov 2025 14:26:24 -0500
